Functions related to variables

## Functions

trace_return_t | addVarType (const char *alias, const char *name, const char *contType)
| Add a Variable Type.
trace_return_t | setVar (varPrec time, const char *type, const char *cont, varPrec val)
| Set a Variable value.
trace_return_t | addVar (varPrec time, const char *type, const char *cont, varPrec val)
| Add a value to a Variable.
trace_return_t | subVar (varPrec time, const char *type, const char *cont, varPrec val)
| Substract a value from a Variable.

## Detailed Description

## Function Documentation

## addVar()

trace_return_t addVar | ( | varPrec | time,
|  | const char * | type,
|  | const char * | cont,
|  | varPrec | val )

Add a value to a Variable.

Parameters

  time | Time the variable is incremented
  type | Type of the variable
  cont | Container containing the variable
  val | Value added

Returns
  TRACE_SUCCESS on success
  An error code otherwise

## addVarType()

trace_return_t addVarType | ( | const char * | alias,
|  | const char * | name,
|  | const char * | contType )

Add a Variable Type.

Parameters

  alias | Alias on the variable type
  contType | Type of container
  name | Alternative name of the variable type

Returns
  TRACE_SUCCESS on success
  An error code otherwise

## setVar()

trace_return_t setVar | ( | varPrec | time,
|  | const char * | type,
|  | const char * | cont,
|  | varPrec | val )

Set a Variable value.

Parameters

  time | Time the variable changes
  type | Type of the variable
  cont | Container containing the variable
  val | New value of the variable

Returns
  TRACE_SUCCESS on success
  An error code otherwise

## subVar()

trace_return_t subVar | ( | varPrec | time,
|  | const char * | type,
|  | const char * | cont,
|  | varPrec | val )

Substract a value from a Variable.

Parameters

  time | Time the variable is incremented
  type | Type of the variable
  cont | Container containing the variable
  val | Value substracted

Returns
  TRACE_SUCCESS on success
  An error code otherwise